Subject: bug#24676: 25.1; `completion-pcm-all-completions' should not reverse order of candidates

From: Drew Adams <[email-masked]>
Date: Tue, 18 Oct 2016 06:56:34 -0700 (PDT)

> > > (let ((poss ()))
> > >   (dolist (c compl)
> > >     (when (string-match-p regex c) (push c poss)))
> > >   (nreverse poss))
> >
> > Looks good, please install,
> 
> This doesn't seem to meet any of the criteria in
>     http://lists.gnu.org/archive/html/emacs-devel/2016-10/msg00007.html
> so I think I'll have to commit to master.

Thanks for fixing this, Michael.

Unfortunately, there is no way for my code that compensates for this bug to now know whether/when it has been fixed.  No simple test such as `fboundp' or an Emacs version.

Of course, if you happened to decide to rename the function, there would be no problem...

And it's already a bit much that there is also a function `completion-pcm-all-completions' that does not even call `completion-pcm--all-completions', and that has a completely different signature.  And the "internal" function has a nice doc string, but the "external" one has no doc string...

Perhaps you would consider taking this opportunity to find a better name for this "internal" function?  Especially since it is "internal", probably few 3rd-party libraries would be affected by a name change.

In my case, I would not be referencing this "internal" function at all, except that I needed to work around this bug.  If you did choose to rename it, I would not need to make any code changes, because I already protect this change with `(when (fboundp 'completion-pcm--all-completions)...)'.